OpenGLRaw-1.5.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2013
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | Safe-Inferred
Language | Haskell98

Graphics.Rendering.OpenGL.Raw.EXT.TextureSwizzle

Contents

- Tokens

Description

All raw functions and tokens from the EXT_texture_swizzle extension not already in the OpenGL 3.1 core, see http://www.opengl.org/registry/specs/EXT/texture_swizzle.txt.

Synopsis

- gl_TEXTURE_SWIZZLE_R :: GLenum
- gl_TEXTURE_SWIZZLE_G :: GLenum
- gl_TEXTURE_SWIZZLE_B :: GLenum
- gl_TEXTURE_SWIZZLE_A :: GLenum
- gl_TEXTURE_SWIZZLE_RGBA :: GLenum

# Tokens

gl_TEXTURE_SWIZZLE_R :: GLenum

gl_TEXTURE_SWIZZLE_G :: GLenum

gl_TEXTURE_SWIZZLE_B :: GLenum

gl_TEXTURE_SWIZZLE_A :: GLenum

gl_TEXTURE_SWIZZLE_RGBA :: GLenum